gnutls_pkcs11_add_provider(3)

NAME
gnutls_pkcs11_add_provider - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_add_provider(const char * name, const char * params);

ARGUMENTS

const char * name
    The filename of the module

const char * params
    should be NULL

DESCRIPTION
This function will load and add a PKCS 11 module to the module list used in gnutls. After this function is called the module will be used for PKCS 11 operations. When loading a module to be used for certificate verification, use the string 'trusted' as params . Note that this function is not thread safe.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/